<?php
/**
 * Returns the value of all categories of posts on the site
 * 
 * @since 1.0.0
 */
function drozd_elementor_categories() {
	$output     = array();
	$categories = get_categories();

	foreach ( $categories as $category ) {
		$output[ $category->term_id ] = $category->name;
	}

	return $output;
}

/**
 * Cropped images size
 * 
 * @since 1.0.0
 */
add_action( 'after_setup_theme', 'drozd_elementor_setup' );
function drozd_elementor_setup() {

	// Cropping the images to different sizes to be used in Post Grid
	add_image_size( 'drozd-post-grid-large', 600, 455, true );
	add_image_size( 'drozd-post-grid-medium', 600, 245, true );
	add_image_size( 'drozd-post-grid-small', 300, 210, true );
}

/**
 * Loads styles on elementor editor
 *
 * @since 1.0.0
 */
add_action( 'elementor/editor/after_enqueue_styles', 'drozd_elementor_styles' );
if ( ! function_exists( 'drozd_elementor_styles' ) ) {

	function drozd_elementor_styles() {
		wp_enqueue_style( 'drozd-icon', DROZD_PLUGINS_URL . 'admin/css/drozd-icon.css', array(), '1.0.0', 'all' );
	}

}

